Bug 161168 - bug with crossfade between songs effect
Summary: bug with crossfade between songs effect
Status: RESOLVED FIXED
Alias: None
Product: juk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Michael Pyne
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-22 18:42 UTC by Andrew Belitsky
Modified: 2008-06-15 01:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Belitsky 2008-04-22 18:42:47 UTC
Version:           3.1 (using 4.00.70 (KDE 4.0.70 >= 20080418), compiled sources)
Compiler:          gcc
OS:                Linux (i686) release 2.6.24-ARCH

When manually switching from played track to next track (by selecting track in list or with "next" button) volume played track slow fade out and volume of next track first on maximum, then zero and slow fade in.
Comment 1 Michael Pyne 2008-05-19 00:59:58 UTC
SVN commit 809463 by mpyne:

Improve crossfading in JuK 4.0 branch to not sound like a catastrophe for the
first half second.  I think the order of inserting effects into the audio path
has something to do with it, so I've reordered everything to be ready before
starting the next track.

In addition you shouldn't get huge volume jumps when crossfading rapidly and I've improved the memory
allocation lifetimes.

Unfortunately you still sometimes get a bit of high-volume at the beginning of the next track but I don't
think that is juk's fault.

CCBUG:161168


 M  +120 -62   playermanager.cpp  
 M  +11 -3     playermanager.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=809463
Comment 2 Michael Pyne 2008-05-19 01:02:14 UTC
SVN commit 809464 by mpyne:

Improve crossfading in JuK trunk to not sound like a catastrophe for the
first half second.  I think the order of inserting effects into the audio path
has something to do with it, so I've reordered everything to be ready before
starting the next track.

In addition you shouldn't get huge volume jumps when crossfading rapidly and I've improved the memory
allocation lifetimes.

Unfortunately you still sometimes get a bit of high-volume at the beginning of the next track but I don't
think that is juk's fault.

CCBUG:161168


 M  +120 -62   playermanager.cpp  
 M  +11 -3     playermanager.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=809464
Comment 3 Michael Pyne 2008-06-15 01:39:21 UTC
SVN commit 820637 by mpyne:

Really mostly fix bug 161168 (JuK crossfading is teh suck).

We cache the VolumeFaderEffect object and include it in the pipeline at all times.  What this does is allows
the volume changing to go smoothly when we try to start changing the volume of our playing track.

In addition phonon-gst crashes if I try to remove the fader effect afterwards and skips horribly if I don't
cache the fader effect.

Unfortunately phonon-xine suffers from crackling sounds with the fader effect left in the chain, so now
phonon-gst is the best backend to use for JuK.  Both sound much better during the fading process though,
although phonon-xine still suffers from initial high volume on the incoming song.

This pretty much works for me now though, so I'm closing the bug.

BUG:161168


 M  +23 -43    playermanager.cpp  
 M  +2 -0      playermanager.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=820637